package com.seer.teach.mall.convert;

import com.seer.teach.mall.entity.TradeAfterSaleEntity;
import com.seer.teach.mall.response.AfterSaleResp;
import com.seer.teach.mall.request.AppAfterSaleCreateReq;
import org.mapstruct.Mapper;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper(unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface AdminAfterSaleConvert {

    AdminAfterSaleConvert INSTANCE = Mappers.getMapper(AdminAfterSaleConvert.class);

    AfterSaleResp convert(TradeAfterSaleEntity afterSale);

    List<AfterSaleResp> list(List<TradeAfterSaleEntity> afterSale);


    TradeAfterSaleEntity convert(AppAfterSaleCreateReq afterSaleReqVO);
}